
Java Client - Bug #7826

libclient_java susceptible to hangs due to network issues

2016-06-07 20:44 - Rob Nahf

Status: Closed Start date: 2016-06-07

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

in DEV, Jenkins has experienced several hangs due to what is thought to be a switch problem with the network that 

https://flynn-gmn-2.test.dataone.org/mn is on.  The effect is connections hanging for days.  It is possible that either timeouts are not

reached, or deadlocks in the connection pool are occurring.

The tests were using trunk/d1_integration  with libclient dependency of 2.1.0-SNAPSHOT, which is an older trunk version that

appears to still be building...

There are new connection management improvements in libclient 2.2.0-SNAPSHOT that may have solved it, but have not been

tested.

Subtasks:

Task # 7827: update libclient dependency in d1_integration trunk Closed

Associated revisions

Revision 18050 - 2016-06-07 22:14 - Rob Nahf

refs: #7826.  Updated the libclient dependency to get latest connection management improvements.  refactored isNodeAlive methods to use a hard

timeout on the request.  Added a TestNodeCache to keep track of information about Nodes that can be reused for tests (the procure methods in

CATCd1)
History

#1 - 2016-06-07 20:47 - Rob Nahf

- Description updated

#2 - 2017-03-28 18:07 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
